function x0 = Model_ICs(p)

% Bose ICs extracted from BISEN example code
% Algebraic related SVs adjusted for IC consistency
x0=1e-12*ones(p.i.length,1);

% Non-solute SVs
x0(p.i.dPsi)=-14.087;
%x0(p.i.dPsi2)=0;
% Matrix SVs
x0(p.i.H_x)=10^(-7.2372);
% x0(p.i.Mg_x)=10^(-2.3336); % BISEN IC
x0(p.i.Mg_x) = 0.7e-3; %  Jung et al, 1990; Biochem.
x0(p.i.K_x)=10^(-1.0611);
x0(p.i.NAD_x)=p.Ntot-1e-12;
x0(p.i.NADH_x)=1e-12;
x0(p.i.ATP_x)=1e-12;
x0(p.i.ADP_x)=p.Atot-1e-12;
x0(p.i.Pi_x)=10^(-3.5241);
x0(p.i.UQ_x)=p.Qtot-1e-12;
x0(p.i.UQH2_x)=10^-12;
x0(p.i.O2_x)=10^(-4.1871);
% IMS SVs
x0(p.i.c3_i)=p.Ctot-1e-12;
x0(p.i.c2_i)=1e-12;
% Cytosolic SVs
x0(p.i.H_c)=10^(-7.2);
x0(p.i.Mg_c)=10^(-9);
x0(p.i.K_c)=10^(-0.8239);
x0(p.i.ATP_c)=10^(-9);
x0(p.i.ADP_c)=10^(-9);
x0(p.i.Pi_c)=10^(-6);
x0(p.i.O2_c)=10^(-4.1871);
x0(p.i.Cr_c)=10e-3;
x0(p.i.PCr_c)=10e-3;